
#ifndef GALLPAR_H
#define GALLPAR_H 
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: parametres container
  Version: $ Rev: $

  2011-04-18 /PV: created

-*/

#include <string>

#include "gdata/gsatdata.h"
#include "gutils/gtriple.h"
#include "gmodels/gpar.h"

using namespace std;


class t_gallpar
{
 public:
   void addParam(t_gpar);
   void delParam(int i);
   void delAllParam();
   void delAmb();
   void resetAllParam();
   int getParam(string site, t_gpar::t_type, string prn, 
		t_gtime beg = t_gtime::first_time(t_gtime::GPS),
		t_gtime end = t_gtime::last_time(t_gtime::GPS));
   unsigned int parNumber();
   int getCrdParam(string site, t_gtriple& crd,
		   t_gtime beg = t_gtime::first_time(t_gtime::GPS),
		   t_gtime end = t_gtime::last_time(t_gtime::GPS));
//   void repairClkJump(double);
   t_gpar& operator[](const size_t idx);   
   void   reIndex();
   void   setSite(string site);
   
 private:
   vector<t_gpar>::iterator iter;
   vector<t_gpar> _vParam;
};

#endif
