
#ifndef RINEXC_H
#define RINEXC_H
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: Clock RINEX encoder/decoder
  Version: $Rev:$

  2011-11-04 /JD: created

-*/

#include <vector> 

#include "gcoders/gcoder.h"
#include "gutils/gtime.h"

using namespace std;

class t_rinexc : public t_gcoder {

 public:
   t_rinexc( string version = "", int sz = DEFAULT_BUFFER_SIZE );
  ~t_rinexc(){};

  virtual  int decode_head(char* buff, int sz,           vector<string>& errmsg);
  virtual  int decode_data(char* buff, int sz, int& cnt, vector<string>& errmsg);

  void gnsssys(char s ){ _gnsssys = s; }
  char gnsssys(){ return _gnsssys; }
 
 protected:
   
 private:
   char  _gnsssys;

};

#endif
