
#ifndef GNAV_H
#define GNAV_H 
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: implements ephemerides and navigation classes
  Version: $ Rev: $

  2011-01-10 /JD: created

  TODO: overwritting mode
        return first/last
        limit for number of data inclusions per satellites
-*/

#include "gdata/geph.h"
#include "gutils/gtime.h"

//#define EPH_NAV   1    // bit 0
//#define EPH_RTCM  2    // bit 1
//#define EPH_SP3   4    // bit 2
//#define EPH_CLK   8    // bit 3

#define MAX_RINEXN_REC     29   // maximum number of RINEXN records for any system !!

typedef double t_gnavdata[MAX_RINEXN_REC];

using namespace std;
    
class t_gnav : public t_geph {

 public:
  t_gnav();
  virtual ~t_gnav();
  
  virtual int data2nav( string sat, const t_gtime& ep, const t_gnavdata& data ){ return -1; }
  virtual int iod() const { return -1; }
   
  t_gnav* gnav_pointer(){ _npointers++; return this; }
//  virtual int pos( t_gtime t, double  xyz[3], double var[3] = NULL, double vel[3] = NULL ){ return 1; }
//  virtual int clk( t_gtime t, double*    clk, double*   var = NULL, double*  dclk = NULL ){ return 1; }
//  virtual int chk(){ return 1; }
//  virtual int print() = 0;

 protected:
   
 private:
// unsigned int      _types;

};

#endif
