
/* ----------------------------------------------------------------------
 * G-Nut - GNSS software development library
 * 
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  This file is part of the G-Nut C++ library.
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 3 of
  the License, or (at your option) any later version.
 
  This library is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, see <http://www.gnu.org/licenses>.

-*/

#include <stdlib.h>
#include <stdio.h>
#include <iostream>
#include <iomanip>
#include <sstream>
#include <math.h>

#include "gdata/gnavglo.h"

using namespace std;

/* --- */
t_gnavglo::t_gnavglo()
  : t_gnav()
{ 
  id_type(t_gdata::EPHGLO);
  id_group(t_gdata::GRP_EPHEM);
}

/* --- */
t_gnavglo::~t_gnavglo(){}


/* --- */
int t_gnavglo::chk() const
{
//  cout << "glonav: chk \n";
/*
  if( nav.iode < 0 ||  255 < nav.iode){
    cout << "rinex nav invalid iode: iode" << nav.iode << endl;
    return -1;
  }
   
  if( nav.iodc < 0 || 1023 < nav.iodc ){	
    cout << "rinex nav invalid iodc: iodc" << nav.iodc << endl;
    return -1;
  }  
   
  // .. other tests
*/
//  cout << "chk() not yet implemented !\n";
  return 0;
}


/* --- */
/*int t_gnavglo::ura( double acc ) const
{
   int i; 
   for( i = 0; i < (int)sizeof(ura_eph); i++)
     if(acc>ura_eph[i]) break;
   
   return i;
}
*/


/* ---
   t is glo time of transmission, 
   i.e. glo time corrected for transit time (range/speed of light)

*/
int t_gnavglo::pos( const t_gtime& t, double  xyz[3], double var[3], double vel[3] )
{
//  cout << "not yet implemented !\n";
  return 0;
}


/* ---
   t is glo time of transmission, 
   i.e. glo time corrected for transit time (range/speed of light)

*/
int t_gnavglo::clk( const t_gtime& t, double*    clk, double*   var, double*  dclk )
{
  cout << "clk() not yet implemented !\n";
  return 0;
}


/* --- 
   ToC, ToE, ToT not definitely implemented!
 */
int t_gnavglo::data2nav( string sat, const t_gtime& ep, const t_gnavdata& data ){

  boost::mutex::scoped_lock lock(_mutex);
   
  if( sat.substr(0,1) == "R" )  _sat =     sat;
  else                          _sat = "R"+sat;   
   
   
//  if( !strncmp(sat,"R",1) )  _sat = string(sat);     // strcpy(_sat,sat);
//  else                       _sat = "R"+string(sat); // sprintf(_sat,"%c%02i", SYS_GLO, atoi(sat));

  _epoch = ep;

/*
  t_gnavglo_struct  rec;    
                  //  rec.sat    = atoi(strncpy(sat, &(prn[1]), 2)); 
//  rec.sat = sat;  //  cout << " sat = " << sat << endl; 
  strcpy(rec.sat, sat);  //  cout << " sat = " << sat << endl; 
  rec.toc    = ep;
  rec.week   = (int)data[21];  //  rec.week   =         1230;
  rec.toe    = ep;   // NEED TO BE RE-IMPLEMENTED !!!
  rec.tot    = ep;   // NEED TO BE RE-IMPLEMENTED !!!
  rec.toes   =      data[11];
   
  rec.f0     =      data[0];
  rec.f1     =      data[1];
  rec.f2     =      data[2];
   
  rec.iode   = (int)data[3];
  rec.iodc   = (int)data[26];
  rec.code   = (int)data[20];
  rec.flag   = (int)data[22];
   
  rec.a      =  SQR(data[10]);
  rec.e      =      data[8]; 
  rec.m      =      data[6];
  rec.i      =      data[15];
  rec.idot   =      data[19];
  rec.omg    =      data[13];
  rec.omega  =      data[17];
  rec.omgdot =      data[18];
  rec.dn     =      data[5]; 
   
  rec.crs    =      data[4]; 
  rec.cus    =      data[9];
  rec.cis    =      data[14];
  rec.crc    =      data[16];
  rec.cuc    =      data[7]; 
  rec.cic    =      data[12];

  rec.acc    =      data[23];  //ura(data[23]);
  rec.health = (int)data[24];
  rec.tgd[0] =      data[25];
  rec.fit    =      data[28];

  add( rec );
*/   
//  cout << "data2nav() not yet implemented !\n";
  return 0;
}



// print function
// ----------
string t_gnavglo::str() const
{
  cout << "str() not yet implemented !\n";
  return string("");
}


/* --- */
int t_gnavglo::print()
{
/*
  boost::mutex::scoped_lock lock(_mutex);

  vector<t_gnavglo_struct>::const_iterator  it = _gnav.begin();
  int i = 0;
  while( it != _gnav.end() ){
    cout << "size [" << i << "] = " << _gnav.size() << " week = " << it->week << endl;
    it++;
    i++;
  }
*/
  cout << "print() not yet implemented !\n";
  return 0;
}

