
#ifndef GNAVGLO_H
#define GNAVGLO_H 
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: 
  Version: $ Rev: $

  2011-02-14 /JD: created

-*/

#include <vector>

#include "gdata/gnav.h"
#include "gutils/gtime.h"
#include "gutils/gconst.h"
#include "gutils/gcommon.h"

#define MAX_RINEXN_REC_GLO 15
//#define MAX_GLO_TIMEDIFF  3600*2

using namespace std;

// NEED TO IMPLEMENT !!!!
/* IS-GLO-???? */
//#define GM_WGS84    3.986005e14     /* WGS 84 value of earth's graviational constant for GPS user [m^3/s^2] */
//#define OMGE_DOT    7.2921151467e-5 /* WGS 84 value of the earth's rotation rate [rad/sec] */
//#define SC2R        3.1415926535898 /* semi-circle to radian */


/* ura values (ref [3] 20.3.3.3.1.3) [meters] */
//static const double ura_eph[]=
//  {2.4,3.4,4.85,6.85,9.65,13.65,24.0,48.0,96.0,192.0,384.0,768.0,1536.0,3072.0,6144.0,0.0};

class t_gnavglo : public t_gnav {

 public:
  t_gnavglo();
  virtual ~t_gnavglo();

  // pointers to support NULL if not requested!
  int pos( const t_gtime& t, double  xyz[3], double var[3] = NULL, double vel[3] = NULL );
  int clk( const t_gtime& t, double*    clk, double*   var = NULL, double*  dclk = NULL );
  int chk() const;
  int ura( double acc ) const;
  int data2nav( string sat, const t_gtime& ep, const t_gnavdata& data );

  int iod(){ return _iode; }
   
  string str() const;
  int print();
   
 private:
  int _iode;
};

#endif
