
#ifndef  GSATDATA_H
#define  GSATDATA_H

#include <string>
#include <vector>
#include "../newmat/newmat.h"
#include "gdata/gdata.h"
#include "gdata/gobsgnss.h"
#include "gutils/gtime.h"
#include "gutils/gtriple.h"

using namespace std;

class t_gsatdata : public t_gobsgnss {
   
 public:
   t_gsatdata() {};
   t_gsatdata(string site, string sat, const t_gtime& t);
   t_gsatdata(const t_gobsgnss& obs);
   virtual ~t_gsatdata();
   
   void addcrd( const t_gtriple& crd );    // add satellite position                            
   void addclk( double d );                // add satellite clocks at the transmision time      
   void addele( double d );                // add satellite elevation                           
   void addazi( double d );                // add satellite azimuth                             
   void addrho( double d );                // add satellite rho-vector                          
   
   t_gtriple satcrd();                     // get satellite position                       
   double  clk();			   // get satellite clocks at the transmision time 
   double  ele();			   // get satellite elevation                      
   double  azi();			   // get satellite azimuth                        
   double  rho();			   // get satellite rho-vector

   void clear();
   bool valid();

 private:
   virtual void _clear();
   virtual bool _valid() const;

//   double         _satcrd[3];
   t_gtriple         _satcrd; // satellite position (X,Y,Z)
   double               _clk;    // satellite clocks (precise, time of transmision)
   double               _ele;    // satellite elevation
   double               _azi;    // satellite azimuth
   double               _rho;    // satellite-station geometrical distance
};

#endif
