
#ifndef GFILE_H
#define GFILE_H

/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: implements file io based on gio class
  Version: $ Rev: $

  2011-01-10 /JD: created

-*/

#include <stdio.h>
#include <fstream>
#include <string>

#include "gio/gio.h"
#include "gio/giof.h"

// special buffer size for file reading
// --> must be bellow gcoder maximum limit !
#define FILEBUF_SIZE 20480

using namespace std;
class t_gfile : public t_gio {

 public:
   t_gfile();
   virtual ~t_gfile();
   
   virtual int init_write();
   virtual int init_read();

   virtual int path( string str );           // set/get file://dir/name
   virtual string path();

 protected:
   virtual int _gio_write( const char* buff, int size );
   virtual int _gio_read(  char* buff, int size );
   virtual int _stop_common();               // reimplementaion

 private:
   t_giof          _file;                    // file
};

#endif
