
#ifndef GBANCROFT_H
#define GBANCROFT_H

#include "../newmat/newmatap.h"

#include "gall/gallobs.h"
#include "gall/gallnav.h"
#include "gall/gallpcv.h"
#include "gutils/gtriple.h"

void gbancroft(const Matrix& BBpass, ColumnVector& pos);

inline double lorentz(const ColumnVector& aa, const ColumnVector& bb);

class t_gposition
{
 public:
   t_gposition(t_gallobs* obs, t_gallnav* nav, t_gallpcv* pcv = 0);
   ~t_gposition();
   
   int aprPos(vector<t_gsatdata>& satdata, t_gtriple& xyz);
   int satPos(vector<t_gsatdata>& satdata);
   int satData(vector<t_gsatdata>& satdata, t_gtriple& crd);
 private:
   mutable boost::mutex   _mutex;   
   t_gallobs* _gobs;
   t_gallnav* _gnav;
   t_gallpcv* _gpcv;
};


#endif

