
/* ----------------------------------------------------------------------
 * G-Nut - GNSS software development library
 * 
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  This file is part of the G-Nut C++ library.
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 3 of
  the License, or (at your option) any later version.
 
  This library is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, see <http://www.gnu.org/licenses>.

-*/

#include "gmodels/gotl.h"

//Constructor
t_gotl::t_gotl()
{
}

//Destructor
t_gotl::~t_gotl()
{
}

string t_gotl::site()
{
  boost::mutex::scoped_lock lock(_mutex);
   
   return _site;
}

Matrix t_gotl::data()
{
  boost::mutex::scoped_lock lock(_mutex);
   
   return _data;
}

double t_gotl::lat()
{
  boost::mutex::scoped_lock lock(_mutex);
   
   return _lat;
}

double t_gotl::lon()
{
  boost::mutex::scoped_lock lock(_mutex);
   
   return _lon;
}

// Set data
// -------------
void t_gotl::setdata(const string& site, const double& lon, const double& lat, const Matrix& data)
{
   this->_site = site;
   this->_lon  = lon;
   this->_lat  = lat;
   this->_data = data;
}

  
  
  
  
  