
#ifndef GPAR_H
#define GPAR_H
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: parametres class
  Version: $ Rev: $

  2011-04-18 /PV: created

-*/

#include <string>

#include "gdata/gsatdata.h"
#include "gutils/gtriple.h"

using namespace std;

class t_gpar
{
 public:
     
   enum t_type
     {	
       CRD_X, CRD_Y, CRD_Z, TRP, CLK, AMB
     };
   
   t_gpar(string site, t_type t, int i, string p);
   t_gpar();
   ~t_gpar();

   bool  operator==(const t_gpar&) const;
   bool  operator <(const t_gpar&) const;

   void setTime(const t_gtime&, const t_gtime&);
   
   double partial(t_gsatdata&, t_gtime&, double*);
   
   t_type parType;
   double value;
   int index;        
   string prn;
   string site;
   t_gtime beg;
   t_gtime end;
   t_gtime stime;
   double  aprval;

   
   double MWWL, L4;
   double MWslip;
   
  void setMF(string);
  string getMF();
   
 private:
   string _mf;  // mapping function for ZTD
   
};


#endif
