
/* ----------------------------------------------------------------------
 * G-Nut - GNSS software development library
 * 
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  This file is part of the G-Nut C++ library.
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License as
  published by the Free Software Foundation; either version 3 of
  the License, or (at your option) any later version.
 
  This library is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, see <http://www.gnu.org/licenses>.

-*/

#include <stdlib.h>
#include <iostream>
#include <iomanip>

#include "gutils/gsysconv.h"
#include "gmodels/gtide.h"

using namespace std;


// constructor
// ----------
t_gtide::t_gtide()
 : _gotl(0)
{}


// destructor
// ----------
t_gtide::~t_gtide(){}


// solid earth tides
// ----------
t_gtriple t_gtide::tide_searth(const t_gtime& epoch, t_gtriple& crd)
{
  boost::mutex::scoped_lock lock(_mutex);
  t_gtriple dxyz(0.0,0.0,0.0);
   
  return dxyz;
}


// pole tides
// ----------
t_gtriple t_gtide::tide_pole()
{
  boost::mutex::scoped_lock lock(_mutex);
  t_gtriple dxyz(0.0,0.0,0.0);

  return dxyz;
}


// ocean tide loading
// ----------
t_gtriple t_gtide::load_ocean(const t_gtime& epoch, const string& site)
{
  boost::mutex::scoped_lock lock(_mutex);
  t_gtriple dxyz(0.0,0.0,0.0);
      
  return dxyz;
}


// atmospheric tide loading
// ----------
t_gtriple t_gtide::load_atmosph()
{
  boost::mutex::scoped_lock lock(_mutex);
  t_gtriple dxyz(0.0,0.0,0.0);
  return dxyz;
}

// set OTL pointer
// -----------------
void t_gtide::setOTL(t_gallotl* gallotl)
{
  boost::mutex::scoped_lock lock(_mutex);
  _gotl = gallotl;
}
