
#ifndef GTIDE_H
#define GTIDE_H
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: implements tides
  Version: $ Rev: $

  2012-11-05 /JD: created
 
-*/

#include <vector>
#include <boost/thread/mutex.hpp>

#include "gdata/gdata.h"
#include "gutils/gconst.h"
#include "gutils/gtime.h"
#include "gutils/gtriple.h"
#include "gmodels/gephplan.h"
#include "gall/gallotl.h"

using namespace std;

// ----------
class t_gtide {

 public:
  t_gtide();
  virtual ~t_gtide();

  virtual void setOTL(t_gallotl* gallotl);
   
  virtual t_gtriple tide_searth(const t_gtime& epo, t_gtriple& xyz);       // solid earth tides
  virtual t_gtriple tide_pole();                                           // pole tides
  virtual t_gtriple load_ocean(const t_gtime& epoch, const string& site);  // ocean tide loading
  virtual t_gtriple load_atmosph();                                        // atmospheric tide loading

 protected:
   t_gephplan   _planEph;
   t_gallotl*   _gotl;

   boost::mutex _mutex;
};


#endif
