
#ifndef GTROPO_H
#define GTROPO_H 
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: implements troposphere model class
  Version: $ Rev: $

  2011-01-10 /JD: created

-*/

#include "gutils/gtime.h"
#include "gutils/gtriple.h"

using namespace std;

class t_gtropo {

 public:
  t_gtropo();
virtual ~t_gtropo();

   virtual double getZHD(t_gtriple, t_gtime&) = 0;
   virtual double getZWD(t_gtriple, t_gtime&) = 0;
 protected:

 private:

};

class t_saastamoinen : public t_gtropo {

 public:
   t_saastamoinen()  {}
   ~t_saastamoinen() {}

   static double getSlantDelay(double, double);   
   virtual double getZHD(t_gtriple, t_gtime&);
   virtual double getZWD(t_gtriple, t_gtime&);   
   
};

class t_davis : public t_gtropo {

 public:
   t_davis() {}
   ~t_davis() {}
   
   virtual double getZHD(t_gtriple, t_gtime&);
   virtual double getZWD(t_gtriple, t_gtime&);   
   
};

class t_hopf : public t_gtropo {

 public:
   t_hopf()  {}
   ~t_hopf() {}
   
   virtual double getZHD(t_gtriple, t_gtime&);
   virtual double getZWD(t_gtriple, t_gtime&);
   
};

#endif
