
#ifndef GCFG_GEBPP_H
#define GCFG_GEBPP_H

/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: implements settings for testing Geb PP Lite
  Version: $ Rev: $

  2012-10-23 /JD: created

-*/

#include <string>
#include <iostream>
#include <boost/thread/mutex.hpp>

#include "gall/gallprec.h"
#include "gall/gallpcv.h"
#include "gall/gallobs.h"
#include "gproc/gpppfilter.h"
#include "gproc/gpreproc.h"
#include "gio/gio.h"
#include "gio/glog.h"
#include "gio/gfile.h"
#include "gutils/gtime.h"
#include "gutils/gtypeconv.h"
#include "gdata/gdata.h"
#include "gcoders/gcoder.h"
#include "gcoders/rinexo.h"
#include "gcoders/rinexc.h"
#include "gcoders/sp3.h"
#include "gcoders/atx.h"
#include "gmodels/gpcv.h"
#include "gmodels/gbancroft.h"

#include "gset/gsetgen.h"
#include "gset/gsetinp.h"
#include "gset/gsetout.h"
#include "gset/gsetproc.h"
#include "gset/gsetflt.h"
#include "gset/gsetrec.h"

using namespace std;
using namespace pugi;

class t_gcfg_gebpp : public t_gsetgen,
                     public t_gsetinp,
                     public t_gsetout,
                     public t_gsetproc,
                     public t_gsetflt,
                     public t_gsetrec
{

 public:
   t_gcfg_gebpp();
  ~t_gcfg_gebpp();

   void check();                                 // settings check
   void help();                                  // settings help

 protected:

 private:

};

#endif