
#ifndef GSETFLT_H
#define GSETFLT_H

#define XMLKEY_FLT "filter"

/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: implements filter setting
  Version: $ Rev: $

  2012-10-23 /JD: created

-*/

#include <string>
#include <iostream>
#include <boost/thread/mutex.hpp>

#include "gio/glog.h"
#include "gutils/gtypeconv.h"
#include "gsetbase.h"

using namespace std;

class t_gsetflt : public virtual t_gsetbase
{
 public:
   t_gsetflt();
  ~t_gsetflt();

   void check();                                  // settings check
   void help();                                   // settings help

   string method();
   double noise_clk();
   double noise_crd();
   double rndwk_ztd();

 protected:
   string _method;                                // type of filtering method (kalman, SRCF)
   double _noise_clk;                             // white noise for receiver clock [mm/sqrt(hour)]
   double _noise_crd;                             // white noise for coordinates [mm/sqrt(hour)]
   double _rndwk_ztd;                             // random walk process for ZTD [mm/sqrt(hour)]

 private:
};

#endif
