
#ifndef GSETGEN_H
#define GSETGEN_H

#define XMLKEY_GEN   ("gen")
#define DEF_GNSSSYST ("GPS GLO GAL BDS SBAS")
#define DEF_SATELLIT ("")  // all !
#define DEF_RECEIVER ("")  // all !
#define DEF_OBSERVAT ("")  // all !
#define DEF_SAMPLING (30)  // 30s !

/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: implements common general settings
  Version: $ Rev: $

  2012-10-23 /JD: created

-*/

#include <set>
#include <string>
#include <iostream>
#include <boost/thread/mutex.hpp>

#include "gio/glog.h"
#include "gutils/gtime.h"
#include "gutils/gtypeconv.h"
#include "gsetbase.h"

using namespace std;

class t_gsetgen : public virtual t_gsetbase
{
 public:
   t_gsetgen();
  ~t_gsetgen();

   void check();                                  // settings check
   void help();                                   // settings help
   
   t_gtime beg();
   t_gtime end();
   int sampling();

   set<string> sys();
   set<string> rec();
   set<string> sat();
   set<string> obs();

 protected:
   
 private:
};

#endif
