
#ifndef CONST_H
#define CONST_H 
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: defines constants
  Version: $ Rev: $

  2011-01-10 /JD: created

-*/

#define PI          3.1415926535897932  /* pi */
#define D2R         (PI/180.0)          /* deg to rad */
#define RHO_SEC     (3600.0 * R2D)
#define RAD2SEC     (180.0*3600.0/M_PI)  // rad to sec
#define SEC2RAD     (M_PI/(180.0*3600.0))  // sec to rad
#define R2D         (180.0/PI)          /* rad to deg */
#define CLIGHT      2.99792458e+8       /* speed of light [m/s] */
//#define GPSFREG1    1575420000.0        // GPS L1 frequency [Hz]
//#define GPSFREG2    1227600000.0        // GPS L2 grequency [Hz]
//#define GPSLAMB1    CLIGHT/GPSFREG1     // GPS L1 wave length [m]
//#define GPSLAMB2    CLIGHT/GPSFREG2     // GPS L2 wave length [m]
//#define GPSLAMB3    (((GPSFREG1*GPSFREG1)/(GPSFREG1*GPSFREG1-GPSFREG2*GPSFREG2)) * GPSLAMB1) - (((GPSFREG2*GPSFREG2)/(GPSFREG1*GPSFREG1-GPSFREG2*GPSFREG2)) * GPSLAMB2)
//#define LAMBWL      (CLIGHT/(GPSFREG1-GPSFREG2))   // wide-lane wave length [m]
#define OMEGA       7292115.1467e-11
#define Aell        6378137.000         // semi major axes [m]
#define Finv        298.2572236         // inverse flattening
#define MJD_J2000   51544.5             // J2000 MJD date
#endif

